﻿package us.studiochris.brushmanager.BrushSpider {
	
	//Imports 
	
	import flash.filesystem.File;
import flash.events.FileListEvent;
import flash.system.System;
import flash.system.Capabilities;
	
	public class BrushSpider extends Sprite{
				
	public var autoOS:String = Capabilities.os;
	public var os:String = "";
	public var progFilesDir:String = "";
	public var appDataDir:String = "";
	public var os_username:String = File.userDirectory.name;
	public var spider:String = "";
	
	//var programFilesDir:String = "";
	public var progFiles86:File = new File();
	public var genFile:File = new File();
	public var winx64:Boolean = false;
	
	public function getOS():void
	{
		switch (autoOS)
		{
			case "Windows XP":
			os = "Windows XP";
			break;
			
			case "Windows Vista":
			os = "Windows Vista";
			break;
			
			case "Windows 7":
			os = "Windows 7";
			break;
			
			default:
			os = autoOS;
			break;
			
		}
	}
	
	
	
	public function setWin64():void
	{
		if(os.match("Windows"))
		{
			progFiles86 = progFiles86.resolvePath('C:/Program Files (x86)');
			
				if(progFiles86.exists)
				{
					os += " 64-bit";
					winx64 = true;
				}		
		}
	}
	
	public function findProgFiles():void
	{
			if (os.match("Windows"))
			{
				if(winx64)
				{
					progFilesDir = "C:/Program Files (x86)/Corel";
				} 
				else
				{
					progFilesDir = "C:/Program Files/Corel";
				}
		
			}
	
			else if (os.match("Mac"))
			{
				progFilesDir = "/Applications";
			}
			
	}
	
	public function findAppData():void
	{
		if (os.match("Windows XP"))
		{
			appDataDir = "C:/Documents and Settings/" + os_username + "/Application Data/Corel";
		}
		else if (os.match("Windows Vista"))
		{
			appDataDir = "C:/Users/" + os_username + "/AppData/Roaming/Corel";
		}
		else if (os.match("Windows 7"))
		{
			appDataDir = "C:/Users/" + os_username + "/AppData/Roaming/Corel";
		}
		else if (os.match("Mac"))
		{
			appDataDir = "/Users/" + os_username + "/Library/Application Support/Corel"
		}
	}
	
	public function findPainter():void
	{
		spider = "painter";
		
		var directory:File = new File();
		directory = directory.resolvePath(progFilesDir);
		directory.getDirectoryListingAsync();
		directory.addEventListener(FileListEvent.DIRECTORY_LISTING, parseDirectory);
		
	
	}
	
	public function parseDirectory(event:FileListEvent):void
	{
		var files:Array = event.files;
		
		//Search String
		var s:String = "";
		
		switch (spider)
		{
			case "painter":
			s = "Corel Painter";
			break;
			
		}
		
		for(var i:uint=0; i < files.length; i++)
		{
			if((files[i].name).match(s))
			{
				trace(files[i].name);
			}
		}
	}

		
//Close Package & Close Class	
	}
}